<template>
  <div style="display: flex; flex-direction: column; align-items: center;">
    <div style="display: flex; flex-wrap: wrap; justify-content: center; margin-bottom: 20px">
      <div class=roomwrap v-for="(value, key) in bedMap" :key="key">
        <RoomBedSelect :title="key" :bedList="value" v-model="curSel"/>
      </div>
    </div>
    <el-button type="primary" @click="roomConfirm">确认</el-button>
  </div>
</template>

<script setup lang="ts">
import {RoomBedSelect} from "@/components/RoomBedSelect"
import { RoomApi, RoomVO } from '@/api/ecg/room'

defineOptions({ name: 'RoomLoginSelect' })

const bedMap = ref<Map<String, RoomVO[]>>() // 列表的数据

const curSel = ref<RoomVO>({
    id: 0,
    roomId: 0,
    roomName: "",
    bedNo: "",
    onstage: true
 });

/** 查询列表 */
const getList = async () => {
  const data = await RoomApi.getOnstageBedMap()
  bedMap.value = data as Map<String, RoomVO[]>
}

const roomConfirm = () => {
  console.info(curSel.value)
}

/** 初始化 **/
onMounted(() => {
  getList()
})

</script>

<style scoped lang="scss">
.roomwrap {
  margin-right: 20px;
}
</style>
